## ros-noetic-controller-manager 0.19.6

=== debian/changelog ===
ros-noetic-controller-manager (0.19.6-1buster) buster; urgency=high

  * SPAWNER: Wait for the clock to be available before proceeding (#432 <https://github.com/ros-controls/ros_control/issues/432>)
    This patch is to resolve an issue when the simulated clock is not published right away (coming from a remote gazebo instance for example).
    If the clock is not published right away, the rosservice wait_for_service times out prematurely and the controllers fail to be loaded since the system is not yet ready (no Gazebo clock).
    With no, gazebo system, the clock will be ready immediately and the spawner will proceed.
    Issue: #431 <https://github.com/ros-controls/ros_control/issues/431>
  * Contributors: Guillaume Autran

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-controller-manager (0.19.5-1buster) buster; urgency=high

  * Add wall clock timeout to avoid some deadlock situation when switching mode (#491 <https://github.com/ros-controls/ros_control/issues/491>)
    Co-authored-by: Krishna <mailto:chaitanyaradon89@gmail.com>
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-noetic-controller-manager (0.19.4-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-noetic-controller-manager (0.19.3-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-controller-manager (0.19.2-1buster) buster; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-noetic-controller-manager (0.19.1-1buster) buster; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 May 2020 23:00:00 -0000

ros-noetic-controller-manager (0.19.0-1buster) buster; urgency=high

  * Replace enums with enum classes (#412 <https://github.com/ros-controls/ros_control/issues/412>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-controller-manager (0.18.0-1buster) buster; urgency=high

  * enable spawner to wait indefinitely if requested (#428 <https://github.com/ros-controls/ros_control/issues/428>)
    rospy.wait_for_service does not allow for 0 to wait indefinitely.
    Instead, None has to be passed explicitly.
    By personal request of three maintainers extended to include documentation
    and the alternative argument --no-timeout.
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Michael Görner, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-controller-manager (0.17.0-1buster) buster; urgency=high

  * Use auto keyword
  * Use default member initializers
  * Replace boost with std
  * Replace boost mutexes & locks with std
  * Replace boost::bind with std::bind
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds, suab321321

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-noetic-controller-manager (0.16.0-1buster) buster; urgency=high

  * Use range-based for loops in controller_manager
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Add ${catkin_EXPORTED_TARGETS} dependencies
  * Update package dependencies
  * Add missing roscpp & rospy dependencies
  * Prefer nullptr for null pointers
  * Replace header guard with #pragma once
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Fix build error in clang error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Multi-update cycle mode switch (#391 <https://github.com/ros-controls/ros_control/issues/391>)
    For more info: https://github.com/pal-robotics-forks/ros_control2/pull/5
    * Added tests for ControllerManager update
    * Mocks for controllers and controller loader in update test
    * Divided in tests with and without controllers
    * Controller state initialized in mock
    * Moved mocks to test class
    * All tests using mock class
    * Test for multiple updates in a single controller
    * Added new switchResult() function to RobotHW interface
    ControllerManager uses this function to wait for the result of the
    doSwitch() before starting the new set of controllers
    * Using ranged based loops
    * Switch is now managed in a separate function
    * Option to start controllers as soon as their joints are ready after a switch
    * Tests for controller_interface API
    * Added new STOPPED, WAITING and ABORTED states to ControllerBase
    * Split manageSwitch() into smaller functions
    * Abort pending controllers in case of switch error
    * Changed default behaviour of new switch param
    This way if it not set it will be the same behaviour as previous version
    * Added timeout parameter to switch controller
    * Removed unnecessary includes

